Subject: Better error message for mcron file loading

From: Ahmed Khanzada <[email-masked]>
Date: Sat, 13 Nov 2021 23:34:18 -0500

I was a bit puzzled why mcron was failing; based on the error, I assumed
file permissions, and did not realize the actual problem was my faulty
syntax within a file.

Until we can get more detailed error messages in place, I propose this
patch to make the current generic error we have slightly more helpful.
 
diff --git a/src/mcron/scripts/mcron.scm b/src/mcron/scripts/mcron.scm
index 4c5f7b5..3e581fa 100644
--- a/src/mcron/scripts/mcron.scm
+++ b/src/mcron/scripts/mcron.scm
@@ -93,7 +93,7 @@ $XDG_CONFIG_HOME is not defined uses ~/.config/cron instead)."
                               "/cron")))
     (when (eq? 2 errors)
       (mcron-error 13
-        "Cannot read files in your ~/.config/cron (or ~/.cron) directory."))))
+        "There was an error reading files in your ~/.config/cron (or ~/.cron) directory. Double-check the folder and file permissions and syntax."))))